About twitter.com on older browsers

If you log in to twitter.com on the following browsers, you will be directed to see mobile.twitter.com.

  • Internet Explorer, version 10 or earlier
  • Safari, version 6 or earlier
  • Chrome, version 9 or earlier
  • Firefox, version 9 or earlier

Not all twitter.com features are compatible with older browsers. In order to provide the most stable experience within the browser, we redirect people to mobile.twitter.com.

If you would like to use the standard version of Twitter from your browser, we recommend upgrading your browser to a more recent version.

Bookmark or share this article

Was this article helpful?

Thank you for the feedback. We’re really glad we could help!

Thank you for the feedback. How could we improve this article?

Thank you for the feedback. Your comments will help us improve our articles in the future.